#img-preview img {
  display: block;
  max-width: 10rem;
  max-height: 10rem;
  width: auto;
  height: auto;
}

#img-preview {
  display: grid;
  gap: 1rem;
  grid-template-columns: repeat(auto-fit, minmax(10rem, 1fr));
  max-width: 50vw;
}

.image > input {
  cursor: pointer;
  position: absolute;
  filter: opacity(0%);
  width: 10rem;
  height: 10rem;
}

.image > input + div {
  cursor: pointer;
  outline: 0px solid transparent;
}

.image > input:checked + div {
  outline: 1rem solid #ff6600;
}

.image img {
  margin: auto;
}

.image div {
  width: 10rem;
  height: 10rem;
  display: flex;
  background-color: #444;
}

input[type="submit"] {
  border: none;
  display: block;
  width: 100%;
  padding: 1rem;
  cursor: pointer;
  border-radius: 0.25rem;
  margin-top: 1rem;
  background-color: #5b565f;
  color: white;
}

body {
  display: flex;
  flex-direction: column;
}

form {
  margin: auto;
  width: 50vw;
  background-color: #EFEFEF;
  padding: 1rem;
  border-radius: 0.5rem;
}

form fieldset {
  width: calc(100% - 2rem);
}

form fieldset *{
  display: block;
  width: 100%;
}
